#!/system/bin/sh
#
# This backup script is run in the ModemRIL installers, only
# if no current backup was detected (ie. RIL-Backup.zip has NOT been run)
# The intention is for the user to flash RIL-Backup.zip directly after flashing
# new firmware/ROM, but if the user forgot to do so, this will backup the current
# RIL which is hopefully still the RIL of the original firmware.
#
BKP_BASE=/sdcard/OldRILs
BKP_RIL_DIR=${BKP_BASE}/BackupRIL
FILE_LIST=${BKP_RIL_DIR}/FileList.txt
BKP_PROP=${BKP_RIL_DIR}/Backup.prop

# Create the backup folder and copy existing RIL files into here
if [ ! -d ${BKP_BASE} ]; then 
  mkdir ${BKP_BASE}
fi
if [ ! -d ${BKP_RIL_DIR} ]; then
  mkdir ${BKP_RIL_DIR}
fi

# Create a list of files which the ModemRIL script will possibly be installing
# This list of files will be used when RestoreRIL is run to restore the
# backed up files back to the original locations
echo "/system/lib/libril.so
/system/lib/libsec-ril.so
/system/lib/libsecril-client.so
/system/lib/libreference-ril.so" > ${FILE_LIST}

if [ -e ${FILE_LIST} ]; then
  for f in `cat ${FILE_LIST}`; do
    if [ -e ${f} ]; then
	  b=`basename ${f}`
	  if [ ! -e ${BKP_RIL_DIR}/${b} ]; then
	    cp ${f} ${BKP_RIL_DIR}
	  fi
	fi
  done;
fi

# Flag that the RIL backup has been performed
echo "backup.done=1">${BKP_PROP}
