#!/system/bin/sh
#
# This script is run in the ModemRIL installers.
# Tests if the backup property file (/sdcard/OldRILs/BackupRIL/Backup.prop) exists
# If not, this script creates it, and sets backup.done=0
# This is done so that subsequent file_getprop command in updater-script does not fail
#
BKP_BASE=/sdcard/OldRILs
BKP_RIL_DIR=${BKP_BASE}/BackupRIL
BKP_PROP=${BKP_RIL_DIR}/Backup.prop

if [ ! -e ${BKP_PROP} ]; then
# Backup file does not exist.
  if [ ! -d ${BKP_BASE} ]; then 
    mkdir ${BKP_BASE}
  fi
  if [ ! -d ${BKP_RIL_DIR} ]; then
    mkdir ${BKP_RIL_DIR}
  fi
  echo "backup.done=0">${BKP_PROP}
fi
